## python-twomemo 1.0.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Twomemo
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-twomemo (1.0.3-2) unstable; urgency=medium

  * Source-only upload
  * Re-create twomemo_pb2.py and twomemo_pb2.pyi from source

 -- Martin <debacle@debian.org>  Mon, 05 Dec 2022 23:38:30 +0000

python-twomemo (1.0.3-1) unstable; urgency=medium

  * Initial package (Closes: #1023295)

 -- Martin <debacle@debian.org>  Sun, 04 Dec 2022 23:18:42 +0000

=== debian/control ===
Source: python-twomemo
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	dh-python,
	mypy-protobuf,
	protobuf-compiler,
	python3-all,
	python3-doubleratchet (>= 1~),
	python3-omemo (>= 1~),
	python3-protobuf,
	python3-setuptools,
	python3-typing-extensions,
	python3-x3dh (>= 1~),
	python3-xeddsa (>= 1~),
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/Syndace/python-twomemo
Vcs-Git: https://salsa.debian.org/xmpp-team/python-twomemo.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/python-twomemo

Package: python3-twomemo
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: python-omemo backend for OMEMO 2
 Backend implementation for python-omemo, equipping python-omemo with
 support for OMEMO under the namespace urn:xmpp:omemo:2
 (casually/jokingly referred to as "twomemo").

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=omemo

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	protoc --python_out=twomemo/ --mypy_out=twomemo/ twomemo.proto

## python-twomemo 1.0.4

=== debian/changelog ===
python-twomemo (1.0.4-3) unstable; urgency=medium

  * Add Testsuite: autopkgtest-pkg-python

 -- Martin <debacle@debian.org>  Mon, 05 Aug 2024 22:22:31 +0000

python-twomemo (1.0.4-2) unstable; urgency=medium

  * Remove Testsuite, again, as there are no tests yet

 -- Martin <debacle@debian.org>  Mon, 29 Jul 2024 08:07:57 +0000

python-twomemo (1.0.4-1) unstable; urgency=medium

  * New upstram version
  * Add Testsuite: autopkgtest-pkg-pybuild

 -- Martin <debacle@debian.org>  Sun, 28 Jul 2024 08:17:29 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Homepage: https://github.com/Syndace/python-twomemo
 Vcs-Git: https://salsa.debian.org/xmpp-team/python-twomemo.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/python-twomemo
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-twomemo
 Architecture: all

## python-twomemo 1.1.0

=== requirements.txt ===
OMEMO>=1.0.0,<2
DoubleRatchet>=1.0.0,<2
X3DH>=1.0.0,<2
XEdDSA>=1.0.0,<2
protobuf>=3.20.3
typing-extensions>=4.3.0
xmlschema>=2.0.2

=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme
sphinx-autodoc-typehints

=== debian/changelog ===
python-twomemo (1.1.0-1) unstable; urgency=medium

  * New upstram version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 19:41:17 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh-python,
 	mypy-protobuf,
 	protobuf-compiler,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-doubleratchet (>= 1~),
 	python3-omemo (>= 1~),

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Syndace/python-twomemo.git \
refs/tags/v@ANY_VERSION@ \
debian

## python-twomemo 2.0.0

=== debian/changelog ===
python-twomemo (2.0.0-2ubuntu1) resolute; urgency=medium

  * Don't install build directory (dh-python issue) (See #1127763)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Feb 2026 15:40:31 +0100

python-twomemo (2.0.0-2) unstable; urgency=medium

  * Remove superfluous files under dist-packages

 -- Martin <debacle@debian.org>  Tue, 18 Nov 2025 00:23:09 +0000

python-twomemo (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * Move package to Python team
  * Drop R³: no, default now

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 22:25:28 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=twomemo

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	protoc --python_out=twomemo/ --mypy_out=twomemo/ twomemo.proto

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-twomemo/usr/lib/python3.*/dist-packages/docs/ \
	$(CURDIR)/debian/python3-twomemo/usr/lib/python3.*/dist-packages/build
